/*
 * areasetup.h
 * 
 * Area parameter widget. 
 * 
 * Copyright (c) 2002--2004 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#ifndef _ELSTAT_QTXGUI_AREASETUP_H_
#define _ELSTAT_QTXGUI_AREASETUP_H_ 1

#include <Qt/qwidget.h>
#include "ecore/elscore.h"


class QSpinBox;
class QLineEdit;
class QCheckBox;
class QComboBox;

class AreaSetupDialog : public QWidget
{
	Q_OBJECT
	private:
		QSpinBox *widthi,*heighti;
		QComboBox *background_type;
	signals:
		// Signal emitted to query the current are parameters: 
		void get_area_setup(AreaSetupPars *);
		// Signal emitted to change the area settings: 
		void change_area_setup(AreaSetupPars *);
	private slots:
		void cancel_pressed();
		void ok_pressed();
	public slots:
		void map();
	public:
		AreaSetupDialog(QWidget *parent=NULL,const char *name=NULL,WFlags f=0);
		~AreaSetupDialog();
		
		EElement::Type GetCurrBack() const;
};

#endif /* _ELSTAT_QTXGUI_AREASETUP_H_ */
