/*
 * main.cc
 * 
 * Main routine. 
 * 
 * Copyright (c) 2004 by Wolfgang Wieser (wwieser@gmx.de) 
 * 
 * This file may be distributed and/or modified under the terms of the 
 * GNU General Public License version 2 as published by the Free Software 
 * Foundation. 
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 */

#include "mainwindow.h"

#include <Qt/qapplication.h>
#include <Qt/qcdestyle.h>
#include <Qt/qfont.h>

#include <string.h>


int main(int argc,char **arg)
{
	int has_style=0;
	int has_font=0;
	for(int i=1; i<argc; i++)
	{
		if(!strcmp(arg[i],"-style") || !strncmp(arg[i],"-style=",7))
		{  ++has_style;  }
		else if(!strcmp(arg[i],"-fn") || !strncmp(arg[i],"-fn=",4))
		{  ++has_font;  }
	}
	
	QApplication qapp(argc,arg);
	
	if(!has_style)
	{  qapp.setStyle(new QCDEStyle(TRUE));  }
	
	if(!has_font)
	{
		QFont deffont("Helvetica",8);
		QApplication::setFont(deffont);
	}
	
	MainWindow mainwin(NULL);
	qapp.setMainWidget(&mainwin);
	
	int r=qapp.exec();
	return(r);
}

